Subject: Re: Valid file-name characters
From: Nicholas Wourms <[email-masked]>
To: "David A. Cobb" <[email-masked]>
Cc: [email-masked]
Date: Mon, 22 Jul 2002 00:46:43 -0700 (PDT)

--- egor duda <[email-masked]> wrote:
> Hi!
> 
> Saturday, 20 July, 2002 David A. Cobb [email-masked] wrote:
> 
> DAC> Back in May (where I'm still trying to catch up) there was a
> discussion 
> DAC> starting at http://www.cygwin.com/ml/cygwin/2002-05/msg01041.html 
> DAC> concerning a colon in a filename -- valid in *nix, not in Windows. 
> 
> 
> DAC> Also, we get repeated griping about the encoding of URI's in the
> local 
> DAC> package cache.  
> 
> DAC> Would you consider a patch that translated filenames containing
> special 
> DAC> characters: the Cygwin user would see "aux:" but Windows would see 
> DAC> "aux%??" (I don't recall the encoding of colon)?
> 
> The only problem here is what to do if cygwin user wants to create
> both aux: and aux%

Use the euro symbol (€)[Alt+0128] instead?  It is highly unlikely that a
user will want to create aux€.  Anyhow, I believe all versions of windows
(via windows update if necessary) have support for the €.

Cheers,
Nicholas

P.S. - This is not intended to start a war on the merits of the euro as a
currancy, rather it is to discuss the merits of an unused symbol.

__________________________________________________
Do You Yahoo!?
Yahoo! Health - Feel better, live better
http://health.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/